// utils/sendSubscriptionMessage.js
import request from '@/utils/request'

/**
 * 发送订阅消息
 * @param {Object} dynamicData
 */
export async function sendSubscriptionMessage(dynamicData) {
	try {
		// 检查用户是否同意接收推送
		const agreePush = uni.getStorageSync('agreePush');
		if (!agreePush) {
			console.log('用户未同意推送消息');
			return;
		}

		// 准备要推送的数据
		const messageData = {
			openid: uni.getStorageSync('userInfo').driverOpenId,
			templateId: 'CQpqLkmS2xk9Uz5J6tLoNuoaoHu_C7i6t7aCxtg_btc',
			page: `pagesA/guideContent/index?tenantId=${dynamicData.tenantId || ''}`,
			data: {
				// 学员姓名
				name4: {
					value: dynamicData.name || ''
				},
				// 报名班型
				thing6: {
					value: dynamicData.courseName || ''
				},
				// 驾照类型
				character_string12: {
					value: dynamicData.licenseType || ''
				},
				// 班型价格
				amount7: {
					value: dynamicData.price || ''
				},
				// 下单时间
				date1: {
					value: dynamicData.orderTime || ''
				}
			}
		};
		console.log('messageData', messageData)
		console.log('微信支付是否进入此方法')

		// 发送订阅消息
		await request({
			url: '/app-api/wxPush/message/sendOnce',
			method: 'post',
			data: messageData
		});

		console.log('订阅消息发送成功');
	} catch (error) {
		console.error('发送订阅消息失败:', error);
	}
}